<?php
    namespace Entity;

    class QuestionEntity
    {
        private     int     $id_question;
        private     string  $question;
        private     string  $answerA;
        private     string  $answerB;
        private     string  $answerC;
        private     string  $answerD;
        private     string  $cAnswer;

        /**
         * @param int $id_question
         * @param string $question
         * @param string $answerA
         * @param string $answerB
         * @param string $answerC
         * @param string $answerD
         * @param string $cAnswer
         */
        public function __construct(int $id_question, string $question, string $answerA, string $answerB, string $answerC, string $answerD, string $cAnswer)
        {
            $this->id_question = $id_question;
            $this->question = $question;
            $this->answerA = $answerA;
            $this->answerB = $answerB;
            $this->answerC = $answerC;
            $this->answerD = $answerD;
            $this->cAnswer = $cAnswer;
        }

        /**
         * @return int
         */
        public function getIdQuestion(): int
        {
            return $this->id_question;
        }

        /**
         * @param int $id_question
         */
        public function setIdQuestion(int $id_question): void
        {
            $this->id_question = $id_question;
        }

        /**
         * @return string
         */
        public function getQuestion(): string
        {
            return $this->question;
        }

        /**
         * @param string $question
         */
        public function setQuestion(string $question): void
        {
            $this->question = $question;
        }

        /**
         * @return string
         */
        public function getAnswerA(): string
        {
            return $this->answerA;
        }

        /**
         * @param string $answerA
         */
        public function setAnswerA(string $answerA): void
        {
            $this->answerA = $answerA;
        }

        /**
         * @return string
         */
        public function getAnswerB(): string
        {
            return $this->answerB;
        }

        /**
         * @param string $answerB
         */
        public function setAnswerB(string $answerB): void
        {
            $this->answerB = $answerB;
        }

        /**
         * @return string
         */
        public function getAnswerC(): string
        {
            return $this->answerC;
        }

        /**
         * @param string $answerC
         */
        public function setAnswerC(string $answerC): void
        {
            $this->answerC = $answerC;
        }

        /**
         * @return string
         */
        public function getAnswerD(): string
        {
            return $this->answerD;
        }

        /**
         * @param string $answerD
         */
        public function setAnswerD(string $answerD): void
        {
            $this->answerD = $answerD;
        }

        /**
         * @return string
         */
        public function getCAnswer(): string
        {
            return $this->cAnswer;
        }

        /**
         * @param string $cAnswer
         */
        public function setCAnswer(string $cAnswer): void
        {
            $this->cAnswer = $cAnswer;
        }



    }
